﻿using System;

using System.Diagnostics.Contracts;

namespace ContractsDemo
{
    public class TimeClock
    {

        public void ClockIn( Int32 employeeId, DateTime clockDate )
        {
            Contract.Requires( employeeId > 0 );
            Contract.Requires(clockDate.Date == DateTime.Now.Date);
        }

        public DailyReport GetDailyReport( Int32 employeeId, DateTime forDate )
        {
            Contract.Ensures( Contract.Result<DailyReport>() != null );
            var dailyReport = new DailyReport();

            return dailyReport;
        }
    }

    public class DailyReport
    {
        public Int32 HoursWorked { get; set; }
        public Int32 EmployeeId { get; set; }
    }
}
